org.apache.activemq.artemis.jms.client

## Interface ActiveMQJMSClientBundle

- All Known Implementing Classes:
    ActiveMQJMSClientBundle_$bundle

      @MessageBundle(projectCode="AMQ")
      public interface ActiveMQJMSClientBundle

  Logger Code 13 each message id must be 6 digits long starting with 13, the 3rd digit should be 9 so 139000 to 139999

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJMSClientBundle` | `BUNDLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.jms.IllegalStateException` | `callingMethodFromCompletionListener()`
    `javax.jms.IllegalStateRuntimeException` | `callingMethodFromCompletionListenerRuntime()`
    `javax.jms.IllegalStateException` | `callingMethodFromListener()`
    `javax.jms.IllegalStateRuntimeException` | `callingMethodFromListenerRuntime()`
    `ActiveMQNonExistentQueueException` | `destinationDoesNotExist(SimpleString destination)`
    `javax.jms.JMSException` | `illegalDeliveryMode(int deliveryMode)`
    `ActiveMQInvalidFilterExpressionException` | `invalidFilter(Throwable e, SimpleString filter)`
    `javax.jms.JMSRuntimeException` | `invalidJavaIdentifier(String propertyName)`
    `ActiveMQIllegalStateException` | `invalidSubscriptionName()`
    `javax.jms.MessageNotReadableException` | `messageNotReadable()`
    `javax.jms.MessageNotWriteableException` | `messageNotWritable()`
    `IllegalArgumentException` | `nameCannotBeEmpty()`
    `IllegalArgumentException` | `nameCannotBeNull()`
    `IllegalArgumentException` | `nullArgumentNotAllowed(String type)`
    `javax.jms.InvalidDestinationException` | `nullTopic()`
    `javax.jms.IllegalStateException` | `onlyValidForByteOrStreamMessages()`

- - ### Field Detail

    - #### BUNDLE

          static final ActiveMQJMSClientBundle BUNDLE

  - ### Method Detail

    - #### invalidFilter

          @Message(id=139000,
                   value="Invalid filter: {0}",
                   format=MESSAGE_FORMAT)
          ActiveMQInvalidFilterExpressionException invalidFilter(@Cause
                                                                                                                                                           Throwable e,
                                                                                                                                                           SimpleString filter)

    - #### invalidSubscriptionName

          @Message(id=139001,
                   value="Invalid Subscription Name. It is required to set the subscription name")
          ActiveMQIllegalStateException invalidSubscriptionName()

    - #### destinationDoesNotExist

          @Message(id=139002,
                   value="Destination {0} does not exist",
                   format=MESSAGE_FORMAT)
          ActiveMQNonExistentQueueException destinationDoesNotExist(SimpleString destination)

    - #### nameCannotBeNull

          @Message(id=139003,
                   value="name cannot be null")
          IllegalArgumentException nameCannotBeNull()

    - #### nameCannotBeEmpty

          @Message(id=139004,
                   value="name cannot be empty")
          IllegalArgumentException nameCannotBeEmpty()

    - #### callingMethodFromListenerRuntime

          @Message(id=139005,
                   value="It is illegal to call this method from within a Message Listener")
          javax.jms.IllegalStateRuntimeException callingMethodFromListenerRuntime()

    - #### callingMethodFromListener

          @Message(id=139006,
                   value="It is illegal to call this method from within a Message Listener")
          javax.jms.IllegalStateException callingMethodFromListener()

    - #### callingMethodFromCompletionListenerRuntime

          @Message(id=139007,
                   value="It is illegal to call this method from within a Completion Listener")
          javax.jms.IllegalStateRuntimeException callingMethodFromCompletionListenerRuntime()

    - #### callingMethodFromCompletionListener

          @Message(id=139008,
                   value="It is illegal to call this method from within a Completion Listener")
          javax.jms.IllegalStateException callingMethodFromCompletionListener()

    - #### nullArgumentNotAllowed

          @Message(id=139009,
                   value="Null {0} is not allowed",
                   format=MESSAGE_FORMAT)
          IllegalArgumentException nullArgumentNotAllowed(String type)

    - #### nullTopic

          @Message(id=139010,
                   value="Topic (Destination) cannot be null")
          javax.jms.InvalidDestinationException nullTopic()

    - #### onlyValidForByteOrStreamMessages

          @Message(id=139011,
                   value="LargeMessage streaming is only possible on ByteMessage or StreamMessage")
          javax.jms.IllegalStateException onlyValidForByteOrStreamMessages()

    - #### invalidJavaIdentifier

          @Message(id=139012,
                   value="The property name \'\'{0}\'\' is not a valid java identifier.",
                   format=MESSAGE_FORMAT)
          javax.jms.JMSRuntimeException invalidJavaIdentifier(String propertyName)

    - #### messageNotWritable

          @Message(id=139013,
                   value="Message is read-only")
          javax.jms.MessageNotWriteableException messageNotWritable()

    - #### messageNotReadable

          @Message(id=139014,
                   value="Message is write-only")
          javax.jms.MessageNotReadableException messageNotReadable()

    - #### illegalDeliveryMode

          @Message(id=139015,
                   value="Illegal deliveryMode value: {0}",
                   format=MESSAGE_FORMAT)
          javax.jms.JMSException illegalDeliveryMode(int deliveryMode)

Copyright © 2021 The Apache Software Foundation. All rights reserved.